Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Testing and Deployment

Reply
Contributor
Posts: 14
Registered: ‎01-19-2012
My Device: Bold 9900
My Carrier: nd

907 invalid JAR

[ Edited ]

 

Hi, I have a a win7 x64 machine for development, with vstudio2008, 20010, sql server, eclipse with android, etc ..

Then i installed the blackbery plugin + eclipse (latest version) from website, i submit for the keys and receive 3 or 4 emails and i use one of the firsts for installing the keys, keys no error, BUT

When installing some app via wifi i get he following error:

907 invalid jar. Descriptor missing required attribute; MIDIet-1

 

Same error with a simple Hello world app, with any of my app and even same error with blackberry samples.

BUT, if i connect the phoen and try to install using the bb destop manager via the .alx file then is ok and no error

 

Im triyng to submit the apps to blackberry world but they reject 2 times, the first they are sayng that is not signed and the 2nd time they not report me nothing, simply said that is denied

 

I see: http://supportforums.blackberry.com/t5/Testing-and-Deployment/907-Invalid-Jar-Error-when-installing-...  but no effect, except that i dont understand cause 2 and cause 8, rest is ok

 

 

THIS IS THE JAD FILE

Manifest-Version: 1.0
RIM-COD-Module-Name: taxiista1_0_2
RIM-COD-Module-Dependencies: net_rim_cldc,net_rim_bb_browser_field2_api
MIDlet-Jar-Size: 35368
MIDlet-1: ,img/ic_launcher.png,
RIM-COD-Creation-Time: 1366297151
MIDlet-Jar-URL: taxiista1.0.2.jar
RIM-COD-URL: taxiista1_0_2.cod
RIM-COD-SHA1: 6e d6 91 90 b5 27 e8 fc 09 16 a9 6c de bf 03 7c 9e d6 32 ed
RIM-COD-Size: 23084
MicroEdition-Configuration: CLDC-1.1
MIDlet-Version: 1.0.2
MIDlet-Name: taxiista1.0.2
MIDlet-Vendor: BlackBerry Developer
MicroEdition-Profile: MIDP-2.0
RIM-MIDlet-Flags-1: 0

 

 

 

 

What can i do ?